%define upstream_name    Net-INET6Glue
%define upstream_version 0.604

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Make L<IO::Socket::INET> behave like
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::IP) >= 0.250.0
BuildRequires: perl(Net::FTP) >= 2.750.0
BuildArch:  noarch

%description
Net::INET6Glue is a collection of modules to make common
modules IPv6 ready by hot-patching them.

Unfortunately, the current state of IPv6 support in perl is that no IPv6
support is in the core and that a lot of important modules (like
Net::FTP, Net::SMTP, LWP,...) do not
support IPv6 even if the modules for IPv6 sockets like Socket6,
IO::Socket::IP or IO::Socket::INET6 are available.

This module tries to mitigate this by hot-patching. Currently the following
submodules are available:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
env PERL_MM_USE_DEFAULT=1 %{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.604.0-3.mga10
+ Revision: 2206880
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.604.0-2.mga9
+ Revision: 1814155
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 tv <tv> 0.604.0-1.mga9
+ Revision: 1693321
- update to 0.604

* Wed Feb 12 2020 umeabot <umeabot> 0.603.0-7.mga8
+ Revision: 1495887
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.603.0-6.mga7
+ Revision: 1269915
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.603.0-5.mga6
+ Revision: 1031091
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.603.0-4.mga6
+ Revision: 944758
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.603.0-3.mga5
+ Revision: 744367
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.603.0-2.mga5
+ Revision: 685668
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 sander85 <sander85> 0.603.0-1.mga5
+ Revision: 673532
- update to 0.603

* Sun Jan 19 2014 shlomif <shlomif> 0.602.0-1.mga5
+ Revision: 566974
- imported package perl-Net-INET6Glue


* Sun Jan 19 2014 cpan2dist 0.602-1mga
- initial mageia release, generated with cpan2dist
